<?php

include_once('class.headerpanel.php');
$headerPanelObj = new headerpanel($configObj);
$configObj->glTplObj->change_path('modules/headerpanel/html/templates/');

$configObj->glTplObj->set('configObj', $configObj);
$configObj->glTplObj->set('headerPanelObj', $headerPanelObj);

$modulearray = $configObj->glLibraryObj->enabledModuleArray;

$configObj->glTplObj->set('modulearray', $modulearray);

if ($_REQUEST['action'] == 'mail') 
{
    $headerPanelObj->formemail();
}

$updates = $headerPanelObj->getupdates();

$configObj->glTplObj->set('updates', $updates);
$moduleId = $headerPanelObj->getModuleId(trim($_REQUEST['module']));
$configObj->glTplObj->set('moduleId', $moduleId);
$configObj->adminHeaderPanel = $configObj->glTplObj->process('headerpanel.tpl.php');

?>